Revise the scripts I use to update the documentation on the SourceForge
site.  These now seem (slightly) more reliable, and easier to work with
since update-docs.sh no longer needs to be installed ahead of time on
my account at SF.
diff --git a/Doc/tools/push-docs.sh b/Doc/tools/push-docs.sh
index a605465..1a28cb4 100755
--- a/Doc/tools/push-docs.sh
+++ b/Doc/tools/push-docs.sh
@@ -3,21 +3,43 @@
 #  Script to push docs from my development area to SourceForge, where the
 #  update-docs.sh script unpacks them into their final destination.
 
-TARGET=python.sourceforge.net:/home/users/fdrake
+TARGET=python.sourceforge.net:/home/users/fdrake/tmp
 
-if [ "$1" ] ; then
-    scp "$1" $TARGET/python-docs-update.txt || exit $?
+ADDRESSES='python-dev@python.org doc-sig@python.org python-list@python.org'
+
+
+set -x
+
+EXPLANATION=''
+
+if [ "$1" = '-m' ] ; then
+    EXPLANATION="$2"
+    shift 2
+elif [ "$1" ] ; then
+    EXPLANATION="`cat $1`"
+    shift 1
 fi
 
 START="`pwd`"
 MYDIR="`dirname $0`"
 cd "$MYDIR"
 MYDIR="`pwd`"
-HTMLDIR="${HTMLDIR:-html}"
 
-cd "../$HTMLDIR"
-make --no-print-directory || exit $?
 cd ..
+
+# now in .../Doc/
+make --no-print-directory || exit $?
+make --no-print-directory bziphtml || exit $?
 RELEASE=`grep '^RELEASE=' Makefile | sed 's|RELEASE=||'`
-make --no-print-directory HTMLDIR="$HTMLDIR" bziphtml
-scp "html-$RELEASE.tar.bz2" $TARGET/python-docs-update.tar.bz2
+scp "html-$RELEASE.tar.bz2" $TARGET/python-docs-update.tar.bz2 || exit $?
+scp tools/update-docs.sh $TARGET/update-docs.sh || exit $?
+ssh python.sourceforge.net 'tmp/update-docs.sh && rm tmp/update-docs.sh' || exit $?
+
+Mail -s '[development doc updates]' $ADDRESSES <<EOF
+The development version of the documentation has been updated:
+
+	http://python.sourceforge.net/devel-docs/
+
+$EXPLANATION
+EOF
+exit $?
diff --git a/Doc/tools/update-docs.sh b/Doc/tools/update-docs.sh
index b3b48ba..b3621d5 100755
--- a/Doc/tools/update-docs.sh
+++ b/Doc/tools/update-docs.sh
@@ -1,39 +1,21 @@
 #! /bin/sh
 
-#  Script which determines if a new development snapshot of the
-#  documentation is available, and unpacks it into the "Python @
-#  SourceForge" website.
+# Script which installs a development snapshot of the documentation
+# into the "Python @ SourceForge" website.
 #
-#  A copy of this script is run periodically via cron.
+# The push-docs.sh script pushes this to the SourceForge when needed
+# and removes it when done.
 
 if [ -z "$HOME" ] ; then
     HOME=`grep fdrake /etc/passwd | sed 's|^.*:\([^:]*\):[^:]*$|\1|'`
     export HOME
 fi
 
-UPDATES=$HOME/python-docs-update.tar.bz2
-INFO=$HOME/python-docs-update.txt
+UPDATES=$HOME/tmp/python-docs-update.tar.bz2
 
-if [ -f "$UPDATES" ] ; then
-    cd /home/groups/python/htdocs
-    rm -rf devel-docs || exit $?
-    mkdir devel-docs || exit $?
-    cd devel-docs || exit $?
-    (bzip2 -dc "$UPDATES" | tar xf -) || exit $?
-    rm "$UPDATES" || exit $?
-    if [ -f "$INFO" ] ; then
-        EXPLANATION="`cat $INFO`"
-    else
-        EXPLANATION=''
-    fi
-    Mail -s '[development doc updates]' \
-     python-dev@python.org doc-sig@python.org \
-     <<EOF
-The development version of the documentation has been updated:
-
-	http://python.sourceforge.net/devel-docs/
-
-$EXPLANATION
-EOF
-    rm -f $HOME/python-docs-update.txt
-fi
+cd /home/groups/python/htdocs
+rm -rf devel-docs || exit $?
+mkdir devel-docs || exit $?
+cd devel-docs || exit $?
+(bzip2 -dc "$UPDATES" | tar xf -) || exit $?
+rm "$UPDATES" || exit $?